# Page Model Manager

[![License](https://img.shields.io/badge/license-Apache%202-blue)](https://github.com/adobe/aem-spa-page-model-manager/blob/master/LICENSE)
[![NPM Version](https://img.shields.io/npm/v/@adobe/aem-spa-page-model-manager.svg)](https://www.npmjs.com/package/@adobe/aem-spa-page-model-manager)
[![Documentation](https://img.shields.io/badge/docs-api-blue)](https://opensource.adobe.com/aem-spa-page-model-manager/)


[![codecov](https://codecov.io/gh/adobe/aem-spa-page-model-manager/branch/master/graph/badge.svg)](https://codecov.io/gh/adobe/aem-spa-page-model-manager)
[![Quality Gate Status](https://sonarcloud.io/api/project_badges/measure?project=adobe_aem-spa-page-model-manager&metric=alert_status)](https://sonarcloud.io/dashboard?id=adobe_aem-spa-page-model-manager)
[![Known Vulnerabilities](https://snyk.io/test/github/adobe/aem-spa-page-model-manager/badge.svg)](https://snyk.io/test/github/adobe/aem-spa-page-model-manager)
[![Dependencies](https://badges.renovateapi.com/github/adobe/aem-spa-page-model-manager)](https://app.renovatebot.com/dashboard#github/adobe/aem-spa-page-model-manager)

An interpreter between Adobe Experience Manager Editor and the Adobe Experience Manager Single Page Application (SPA) Editor. The SPA Editor is recommended solution for projects that use SPA framework (React or Angular).
For more information please see the [documentation](https://docs.adobe.com/content/help/en/experience-manager-65/developing/headless/spas/spa-page-component.html).

## Installation
```
npm install @adobe/aem-spa-page-model-manager
```

## Documentation

* [SPA Editor Overview](https://www.adobe.com/go/aem6_5_docs_spa_en)
* [SPA Architecture](https://docs.adobe.com/content/help/en/experience-manager-65/developing/headless/spas/spa-architecture.html)
* [Getting Started with the AEM SPA Editor and Angular](https://docs.adobe.com/content/help/en/experience-manager-learn/spa-angular-tutorial/overview.html)
* [Getting Started with the AEM SPA Editor and React](https://docs.adobe.com/content/help/en/experience-manager-learn/spa-react-tutorial/overview.html)

## Contributing

Contributions are welcome! Read the [Contributing Guide](CONTRIBUTING.md) for more information.

## Licensing

This project is licensed under the Apache V2 License. See [LICENSE](LICENSE) for more information.

