/**
 * Variables for interacting with AEM components.
 * @private
 */
export declare class Constants {
    /**
     * Type of the item.
     */
    static readonly TYPE_PROP = ":type";
    /**
     * List of child items of an item.
     */
    static readonly ITEMS_PROP = ":items";
    /**
     * Order in which the items should be listed.
     */
    static readonly ITEMS_ORDER_PROP = ":itemsOrder";
    /**
     * Path of an item.
     */
    static readonly PATH_PROP = ":path";
    /**
     * Children of a hierarchical item.
     */
    static readonly CHILDREN_PROP = ":children";
    /**
     * Hierarchical type of the item.
     */
    static readonly HIERARCHY_TYPE_PROP = ":hierarchyType";
    /**
     * JCR content node.
     */
    static readonly JCR_CONTENT = "jcr:content";
    private constructor();
}
/**
 * AEM modes.
 */
export declare enum AEM_MODE {
    EDIT = "edit",
    PREVIEW = "preview",
    DISABLED = "disabled"
}
/**
 * Supported tag types.
 * @private
 */
export declare enum TAG_TYPE {
    JS = "script",
    STYLESHEET = "stylesheet"
}
export default Constants;
//# sourceMappingURL=Constants.d.ts.map