/**
 * Type of events triggered or listened by the PageModelManager and ModelRouter.
 * @private
 */
export declare class EventType {
    /**
     * Event which indicates that the PageModelManager has been initialized
     */
    static readonly PAGE_MODEL_INIT = "cq-pagemodel-init";
    /**
     * Event which indicates that the PageModelManager has loaded new content
     */
    static readonly PAGE_MODEL_LOADED = "cq-pagemodel-loaded";
    /**
     * Event that indicates a request to update the page model
     */
    static readonly PAGE_MODEL_UPDATE = "cq-pagemodel-update";
    /**
     * Event which indicates that ModelRouter has identified that model route has changed
     */
    static readonly PAGE_MODEL_ROUTE_CHANGED = "cq-pagemodel-route-changed";
    private constructor();
}
export default EventType;
//# sourceMappingURL=EventType.d.ts.map