/**
 * Generic Model interface.
 * Defines common properties that pages / items have.
 */
export interface Model {
    /**
     * Hierarchy type.
     */
    ':hierarchyType'?: string;
    /**
     * Path of the item/page.
     */
    ':path'?: string;
    /**
     * Child pages (only present on page's itself, not on items).
     */
    ':children'?: {
        [key: string]: Model;
    };
    /**
     * Items under the page/item.
     */
    ':items'?: {
        [key: string]: Model;
    };
    /**
     * Order of the items under the page/item.
     * Can be used as keys for the :items property to iterate items in the proper order.
     */
    ':itemsOrder'?: string[];
    /**
     * Resource type of the page/item.
     */
    ':type'?: string;
}
//# sourceMappingURL=Model.d.ts.map