import { Model } from './Model';
export declare class ModelClient {
    private _apiHost;
    /**
     * @constructor
     * @private
     * @param [apiHost] Http host of the API.
     */
    constructor(apiHost?: string);
    /**
     * Returns http host of the API.
     * @returns API host or `null`.
     */
    get apiHost(): string | null;
    /**
     * Fetches a model using given resource path.
     * @param modelPath Absolute path to the model.
     * @return Promise to page model object.
     */
    fetch<M extends Model>(modelPath: string): Promise<M>;
    /**
     * Destroys the internal references to avoid memory leaks.
     * @private
     */
    destroy(): void;
}
//# sourceMappingURL=ModelClient.d.ts.map